com.sun.grid.jgdi.configuration.reflect

## Class DefaultMapListPropertyDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor
  - - com.sun.grid.jgdi.configuration.reflect.MapListPropertyDescriptor
    - - com.sun.grid.jgdi.configuration.reflect.DefaultMapListPropertyDescriptor

-     public class DefaultMapListPropertyDescriptor
      extends MapListPropertyDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMapListPropertyDescriptor(java.lang.Class beanClass, java.lang.String propertyName, java.lang.Class propertyType, java.lang.String cullType, java.lang.Class keyType, java.lang.String cullListType, int cullFieldName, int keyCullFieldName, int valueCullFieldName, java.lang.Object defaultKey, boolean readOnly, boolean configurable)` Creates a new instance of DefaultMapListPropertyDescriptor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object bean, java.lang.Object key, java.lang.Object value)`
    `void` | `addEmpty(java.lang.Object bean, java.lang.Object key)`
    `void` | `clone(java.lang.Object srcBean, java.lang.Object targetBean)`
    `java.lang.Object` | `get(java.lang.Object bean, java.lang.Object key, int index)`
    `int` | `getCount(java.lang.Object bean, java.lang.Object key)`
    `java.util.Set<java.lang.String>` | `getKeys(java.lang.Object bean)`
    `java.util.List` | `getList(java.lang.Object bean, java.lang.Object key)`
    `boolean` | `isBrowsable()` Getter for property browsable.
    `java.lang.Object` | `remove(java.lang.Object bean, java.lang.Object key, int index)`
    `boolean` | `remove(java.lang.Object bean, java.lang.Object key, java.lang.Object value)`
    `void` | `removeAll(java.lang.Object bean)`
    `void` | `removeAll(java.lang.Object bean, java.lang.Object key)`
    `void` | `set(java.lang.Object bean, java.lang.Object key, int index, java.lang.Object value)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.MapListPropertyDescriptor

      `getCullListType, getDefaultKey, getKeyCullFieldName, getKeyType, getValueCullFieldName, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor

      `equals, findMethod, findMethod, getBeanClass, getCullContentField, getCullFieldName, getCullType, getJNIPropertyType, getPropertyName, getPropertyType, hasCullWrapper, hashCode, invoke, isConfigurable, isReadOnly, isSet, setBrowsable, setConfigurable, setCullContentField, setHasCullWrapper, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMapListPropertyDescriptor

          public DefaultMapListPropertyDescriptor(java.lang.Class beanClass,
                                                  java.lang.String propertyName,
                                                  java.lang.Class propertyType,
                                                  java.lang.String cullType,
                                                  java.lang.Class keyType,
                                                  java.lang.String cullListType,
                                                  int cullFieldName,
                                                  int keyCullFieldName,
                                                  int valueCullFieldName,
                                                  java.lang.Object defaultKey,
                                                  boolean readOnly,
                                                  boolean configurable)

      Creates a new instance of DefaultMapListPropertyDescriptor

  - ### Method Detail

    - #### add

          public void add(java.lang.Object bean,
                          java.lang.Object key,
                          java.lang.Object value)

      Specified by:
        `add` in class `MapListPropertyDescriptor`

    - #### addEmpty

          public void addEmpty(java.lang.Object bean,
                               java.lang.Object key)

      Specified by:
        `addEmpty` in class `MapListPropertyDescriptor`

    - #### clone

          public void clone(java.lang.Object srcBean,
                            java.lang.Object targetBean)

      Specified by:
        `clone` in class `PropertyDescriptor`

    - #### get

          public java.lang.Object get(java.lang.Object bean,
                                      java.lang.Object key,
                                      int index)

      Specified by:
        `get` in class `MapListPropertyDescriptor`

    - #### getCount

          public int getCount(java.lang.Object bean,
                              java.lang.Object key)

      Specified by:
        `getCount` in class `MapListPropertyDescriptor`

    - #### getList

          public java.util.List getList(java.lang.Object bean,
                                        java.lang.Object key)

      Specified by:
        `getList` in class `MapListPropertyDescriptor`

    - #### getKeys

          public java.util.Set<java.lang.String> getKeys(java.lang.Object bean)

      Specified by:
        `getKeys` in class `MapListPropertyDescriptor`

    - #### isBrowsable

          public boolean isBrowsable()

      Description copied from class: `PropertyDescriptor`
      Getter for property browsable.
      Overrides:
        `isBrowsable` in class `PropertyDescriptor`
      Returns:
        Value of property browsable.

    - #### remove

          public java.lang.Object remove(java.lang.Object bean,
                                         java.lang.Object key,
                                         int index)

      Specified by:
        `remove` in class `MapListPropertyDescriptor`

    - #### remove

          public boolean remove(java.lang.Object bean,
                                java.lang.Object key,
                                java.lang.Object value)

      Specified by:
        `remove` in class `MapListPropertyDescriptor`

    - #### removeAll

          public void removeAll(java.lang.Object bean)

      Specified by:
        `removeAll` in class `MapListPropertyDescriptor`

    - #### removeAll

          public void removeAll(java.lang.Object bean,
                                java.lang.Object key)

      Specified by:
        `removeAll` in class `MapListPropertyDescriptor`

    - #### set

          public void set(java.lang.Object bean,
                          java.lang.Object key,
                          int index,
                          java.lang.Object value)

      Specified by:
        `set` in class `MapListPropertyDescriptor`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.